net.sf.jasperreports.engine

## Class PrintElementId

- java.lang.Object
- - net.sf.jasperreports.engine.PrintElementId

-     public class PrintElementId
      extends java.lang.Object

  An Id for a print element.
  Version:
    $Id: PrintElementId.java 6770 2013-11-22 14:48:55Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `JRPrintElement.getSourceElementId()`, `JRPrintElement.getPrintElementId()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrintElementId(int sourceElementId, int printId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `static PrintElementId` | `forElement(JRPrintElement element)`
    `int` | `getPrintId()`
    `int` | `getSourceElementId()`
    `int` | `hashCode()`
    `protected static boolean` | `matches(int sourceElementId1, int printId1, int sourceElementId2, int printId2)`
    `boolean` | `matches(JRPrintElement element)`
    `static boolean` | `matches(JRPrintElement element1, JRPrintElement element2)`
    `boolean` | `matches(PrintElementId id)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PrintElementId

          public PrintElementId(int sourceElementId,
                        int printId)

  - ### Method Detail

    - #### forElement

          public static PrintElementId forElement(JRPrintElement element)

    - #### matches

          public static boolean matches(JRPrintElement element1,
                        JRPrintElement element2)

    - #### matches

          protected static boolean matches(int sourceElementId1,
                        int printId1,
                        int sourceElementId2,
                        int printId2)

    - #### getSourceElementId

          public int getSourceElementId()

    - #### getPrintId

          public int getPrintId()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### matches

          public boolean matches(PrintElementId id)

    - #### matches

          public boolean matches(JRPrintElement element)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com